com.lowagie.text.xml.simpleparser

## Interface SimpleXMLDocHandler

All Known Implementing Classes:
  HTMLWorker, SimpleBookmark, SimpleNamedDestination, SimplePatternParser, XfdfReader

    public interface SimpleXMLDocHandler

The handler for the events fired by `SimpleXMLParser`.

Author:
  Paulo Soares (psoares@consiste.pt)

### Method Summary

Methods
`void` `endDocument()` Called after the document is parsed.
`void` `endElement(java.lang.String tag)` Called when an end tag is found.
`void` `startDocument()` Called when the document starts to be parsed.
`void` `startElement(java.lang.String tag, java.util.HashMap h)` Called when a start tag is found.
`void` `text(java.lang.String str)` Called when a text element is found.

### Method Detail

#### startElement

    void startElement(java.lang.String tag,
                    java.util.HashMap h)

Called when a start tag is found.

Parameters:
  `tag` - the tag name
  `h` - the tag's attributes

#### endElement

    void endElement(java.lang.String tag)

Called when an end tag is found.

Parameters:
  `tag` - the tag name

#### startDocument

    void startDocument()

Called when the document starts to be parsed.

#### endDocument

    void endDocument()

Called after the document is parsed.

#### text

    void text(java.lang.String str)

Called when a text element is found.

Parameters:
  `str` - the text element, probably a fragment.